Generation Framework

## org.eclipse.gmf.mappings.provider
Class GMFMapItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
              org.eclipse.gmf.mappings.provider.GMFMapItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class GMFMapItemProviderAdapterFactory

extends GMFMapAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Field Summary
`protected AuditContainerItemProvider` `auditContainerItemProvider` This keeps track of the one adapter used for all `AuditContainer` instances
`protected AuditedMetricTargetItemProvider` `auditedMetricTargetItemProvider` This keeps track of the one adapter used for all `AuditedMetricTarget` instances
`protected AuditRuleItemProvider` `auditRuleItemProvider` This keeps track of the one adapter used for all `AuditRule` instances
`protected CanvasMappingItemProvider` `canvasMappingItemProvider` This keeps track of the one adapter used for all `CanvasMapping` instances
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ChildReferenceItemProvider` `childReferenceItemProvider` This keeps track of the one adapter used for all `ChildReference` instances
`protected CompartmentMappingItemProvider` `compartmentMappingItemProvider` This keeps track of the one adapter used for all `CompartmentMapping` instances
`protected ConstraintItemProvider` `constraintItemProvider` This keeps track of the one adapter used for all `Constraint` instances
`protected DesignLabelMappingItemProvider` `designLabelMappingItemProvider` This keeps track of the one adapter used for all `DesignLabelMapping` instances
`protected DiagramElementTargetItemProvider` `diagramElementTargetItemProvider` This keeps track of the one adapter used for all `DiagramElementTarget` instances
`protected DomainAttributeTargetItemProvider` `domainAttributeTargetItemProvider` This keeps track of the one adapter used for all `DomainAttributeTarget` instances
`protected DomainElementTargetItemProvider` `domainElementTargetItemProvider` This keeps track of the one adapter used for all `DomainElementTarget` instances
`protected FeatureLabelMappingItemProvider` `featureLabelMappingItemProvider` This keeps track of the one adapter used for all `FeatureLabelMapping` instances
`protected FeatureSeqInitializerItemProvider` `featureSeqInitializerItemProvider` This keeps track of the one adapter used for all `FeatureSeqInitializer` instances
`protected FeatureValueSpecItemProvider` `featureValueSpecItemProvider` This keeps track of the one adapter used for all `FeatureValueSpec` instances
`protected LabelMappingItemProvider` `labelMappingItemProvider` This keeps track of the one adapter used for all `LabelMapping` instances
`protected LinkConstraintsItemProvider` `linkConstraintsItemProvider` This keeps track of the one adapter used for all `LinkConstraints` instances
`protected LinkMappingItemProvider` `linkMappingItemProvider` This keeps track of the one adapter used for all `LinkMapping` instances
`protected MappingItemProvider` `mappingItemProvider` This keeps track of the one adapter used for all `Mapping` instances
`protected MetricContainerItemProvider` `metricContainerItemProvider` This keeps track of the one adapter used for all `MetricContainer` instances
`protected MetricRuleItemProvider` `metricRuleItemProvider` This keeps track of the one adapter used for all `MetricRule` instances
`protected NodeMappingItemProvider` `nodeMappingItemProvider` This keeps track of the one adapter used for all `NodeMapping` instances
`protected NotationElementTargetItemProvider` `notationElementTargetItemProvider` This keeps track of the one adapter used for all `NotationElementTarget` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected ReferenceNewElementSpecItemProvider` `referenceNewElementSpecItemProvider` This keeps track of the one adapter used for all `ReferenceNewElementSpec` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected TopNodeReferenceItemProvider` `topNodeReferenceItemProvider` This keeps track of the one adapter used for all `TopNodeReference` instances
`protected ValueExpressionItemProvider` `valueExpressionItemProvider` This keeps track of the one adapter used for all `ValueExpression` instances

Fields inherited from class org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFMapItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createAuditContainerAdapter()` This creates an adapter for a `AuditContainer`
`org.eclipse.emf.common.notify.Adapter` `createAuditedMetricTargetAdapter()` This creates an adapter for a `AuditedMetricTarget`
`org.eclipse.emf.common.notify.Adapter` `createAuditRuleAdapter()` This creates an adapter for a `AuditRule`
`org.eclipse.emf.common.notify.Adapter` `createCanvasMappingAdapter()` This creates an adapter for a `CanvasMapping`
`org.eclipse.emf.common.notify.Adapter` `createChildReferenceAdapter()` This creates an adapter for a `ChildReference`
`org.eclipse.emf.common.notify.Adapter` `createCompartmentMappingAdapter()` This creates an adapter for a `CompartmentMapping`
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` This creates an adapter for a `Constraint`
`org.eclipse.emf.common.notify.Adapter` `createDesignLabelMappingAdapter()` This creates an adapter for a `DesignLabelMapping`
`org.eclipse.emf.common.notify.Adapter` `createDiagramElementTargetAdapter()` This creates an adapter for a `DiagramElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createDomainAttributeTargetAdapter()` This creates an adapter for a `DomainAttributeTarget`
`org.eclipse.emf.common.notify.Adapter` `createDomainElementTargetAdapter()` This creates an adapter for a `DomainElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createFeatureLabelMappingAdapter()` This creates an adapter for a `FeatureLabelMapping`
`org.eclipse.emf.common.notify.Adapter` `createFeatureSeqInitializerAdapter()` This creates an adapter for a `FeatureSeqInitializer`
`org.eclipse.emf.common.notify.Adapter` `createFeatureValueSpecAdapter()` This creates an adapter for a `FeatureValueSpec`
`org.eclipse.emf.common.notify.Adapter` `createLabelMappingAdapter()` This creates an adapter for a `LabelMapping`
`org.eclipse.emf.common.notify.Adapter` `createLinkConstraintsAdapter()` This creates an adapter for a `LinkConstraints`
`org.eclipse.emf.common.notify.Adapter` `createLinkMappingAdapter()` This creates an adapter for a `LinkMapping`
`org.eclipse.emf.common.notify.Adapter` `createMappingAdapter()` This creates an adapter for a `Mapping`
`org.eclipse.emf.common.notify.Adapter` `createMetricContainerAdapter()` This creates an adapter for a `MetricContainer`
`org.eclipse.emf.common.notify.Adapter` `createMetricRuleAdapter()` This creates an adapter for a `MetricRule`
`org.eclipse.emf.common.notify.Adapter` `createNodeMappingAdapter()` This creates an adapter for a `NodeMapping`
`org.eclipse.emf.common.notify.Adapter` `createNotationElementTargetAdapter()` This creates an adapter for a `NotationElementTarget`
`org.eclipse.emf.common.notify.Adapter` `createReferenceNewElementSpecAdapter()` This creates an adapter for a `ReferenceNewElementSpec`
`org.eclipse.emf.common.notify.Adapter` `createTopNodeReferenceAdapter()` This creates an adapter for a `TopNodeReference`
`org.eclipse.emf.common.notify.Adapter` `createValueExpressionAdapter()` This creates an adapter for a `ValueExpression`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
`createAdapter, createAppearanceStewardAdapter, createAuditableAdapter, createElementInitializerAdapter, createEObjectAdapter, createFeatureInitializerAdapter, createMappingEntryAdapter, createMeasurableAdapter, createMenuOwnerAdapter, createNeedsContainmentAdapter, createNodeReferenceAdapter, createRuleBaseAdapter, createToolOwnerAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### nodeMappingItemProvider

    protected NodeMappingItemProvider nodeMappingItemProvider

  This keeps track of the one adapter used for all `NodeMapping` instances.

  ** Generated **

### compartmentMappingItemProvider

    protected CompartmentMappingItemProvider compartmentMappingItemProvider

  This keeps track of the one adapter used for all `CompartmentMapping` instances.

  ** Generated **

### linkMappingItemProvider

    protected LinkMappingItemProvider linkMappingItemProvider

  This keeps track of the one adapter used for all `LinkMapping` instances.

  ** Generated **

### canvasMappingItemProvider

    protected CanvasMappingItemProvider canvasMappingItemProvider

  This keeps track of the one adapter used for all `CanvasMapping` instances.

  ** Generated **

### labelMappingItemProvider

    protected LabelMappingItemProvider labelMappingItemProvider

  This keeps track of the one adapter used for all `LabelMapping` instances.

  ** Generated **

### featureLabelMappingItemProvider

    protected FeatureLabelMappingItemProvider featureLabelMappingItemProvider

  This keeps track of the one adapter used for all `FeatureLabelMapping` instances.

  ** Generated **

### designLabelMappingItemProvider

    protected DesignLabelMappingItemProvider designLabelMappingItemProvider

  This keeps track of the one adapter used for all `DesignLabelMapping` instances.

  ** Generated **

### mappingItemProvider

    protected MappingItemProvider mappingItemProvider

  This keeps track of the one adapter used for all `Mapping` instances.

  ** Generated **

### childReferenceItemProvider

    protected ChildReferenceItemProvider childReferenceItemProvider

  This keeps track of the one adapter used for all `ChildReference` instances.

  ** Generated **

### topNodeReferenceItemProvider

    protected TopNodeReferenceItemProvider topNodeReferenceItemProvider

  This keeps track of the one adapter used for all `TopNodeReference` instances.

  ** Generated **

### constraintItemProvider

    protected ConstraintItemProvider constraintItemProvider

  This keeps track of the one adapter used for all `Constraint` instances.

  ** Generated **

### linkConstraintsItemProvider

    protected LinkConstraintsItemProvider linkConstraintsItemProvider

  This keeps track of the one adapter used for all `LinkConstraints` instances.

  ** Generated **

### valueExpressionItemProvider

    protected ValueExpressionItemProvider valueExpressionItemProvider

  This keeps track of the one adapter used for all `ValueExpression` instances.

  ** Generated **

### featureSeqInitializerItemProvider

    protected FeatureSeqInitializerItemProvider featureSeqInitializerItemProvider

  This keeps track of the one adapter used for all `FeatureSeqInitializer` instances.

  ** Generated **

### featureValueSpecItemProvider

    protected FeatureValueSpecItemProvider featureValueSpecItemProvider

  This keeps track of the one adapter used for all `FeatureValueSpec` instances.

  ** Generated **

### referenceNewElementSpecItemProvider

    protected ReferenceNewElementSpecItemProvider referenceNewElementSpecItemProvider

  This keeps track of the one adapter used for all `ReferenceNewElementSpec` instances.

  ** Generated **

### auditContainerItemProvider

    protected AuditContainerItemProvider auditContainerItemProvider

  This keeps track of the one adapter used for all `AuditContainer` instances.

  ** Generated **

### auditRuleItemProvider

    protected AuditRuleItemProvider auditRuleItemProvider

  This keeps track of the one adapter used for all `AuditRule` instances.

  ** Generated **

### domainElementTargetItemProvider

    protected DomainElementTargetItemProvider domainElementTargetItemProvider

  This keeps track of the one adapter used for all `DomainElementTarget` instances.

  ** Generated **

### domainAttributeTargetItemProvider

    protected DomainAttributeTargetItemProvider domainAttributeTargetItemProvider

  This keeps track of the one adapter used for all `DomainAttributeTarget` instances.

  ** Generated **

### diagramElementTargetItemProvider

    protected DiagramElementTargetItemProvider diagramElementTargetItemProvider

  This keeps track of the one adapter used for all `DiagramElementTarget` instances.

  ** Generated **

### notationElementTargetItemProvider

    protected NotationElementTargetItemProvider notationElementTargetItemProvider

  This keeps track of the one adapter used for all `NotationElementTarget` instances.

  ** Generated **

### metricContainerItemProvider

    protected MetricContainerItemProvider metricContainerItemProvider

  This keeps track of the one adapter used for all `MetricContainer` instances.

  ** Generated **

### metricRuleItemProvider

    protected MetricRuleItemProvider metricRuleItemProvider

  This keeps track of the one adapter used for all `MetricRule` instances.

  ** Generated **

### auditedMetricTargetItemProvider

    protected AuditedMetricTargetItemProvider auditedMetricTargetItemProvider

  This keeps track of the one adapter used for all `AuditedMetricTarget` instances.

  ** Generated **

Constructor Detail

### GMFMapItemProviderAdapterFactory

    public GMFMapItemProviderAdapterFactory()

  This constructs an instance.

  ** Generated **

Method Detail

### createNodeMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeMappingAdapter()

  This creates an adapter for a `NodeMapping`.

  Overrides:
    `createNodeMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NodeMapping`
  ** Generated **

### createCompartmentMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createCompartmentMappingAdapter()

  This creates an adapter for a `CompartmentMapping`.

  Overrides:
    `createCompartmentMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CompartmentMapping`
  ** Generated **

### createLinkMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkMappingAdapter()

  This creates an adapter for a `LinkMapping`.

  Overrides:
    `createLinkMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkMapping`
  ** Generated **

### createCanvasMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createCanvasMappingAdapter()

  This creates an adapter for a `CanvasMapping`.

  Overrides:
    `createCanvasMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CanvasMapping`
  ** Generated **

### createLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createLabelMappingAdapter()

  This creates an adapter for a `LabelMapping`.

  Overrides:
    `createLabelMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelMapping`
  ** Generated **

### createFeatureLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureLabelMappingAdapter()

  This creates an adapter for a `FeatureLabelMapping`.

  Overrides:
    `createFeatureLabelMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureLabelMapping`
  ** Generated **

### createDesignLabelMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createDesignLabelMappingAdapter()

  This creates an adapter for a `DesignLabelMapping`.

  Overrides:
    `createDesignLabelMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DesignLabelMapping`
  ** Generated **

### createMappingAdapter

    public org.eclipse.emf.common.notify.Adapter createMappingAdapter()

  This creates an adapter for a `Mapping`.

  Overrides:
    `createMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Mapping`
  ** Generated **

### createChildReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createChildReferenceAdapter()

  This creates an adapter for a `ChildReference`.

  Overrides:
    `createChildReferenceAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ChildReference`
  ** Generated **

### createTopNodeReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createTopNodeReferenceAdapter()

  This creates an adapter for a `TopNodeReference`.

  Overrides:
    `createTopNodeReferenceAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TopNodeReference`
  ** Generated **

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  This creates an adapter for a `Constraint`.

  Overrides:
    `createConstraintAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Constraint`
  ** Generated **

### createLinkConstraintsAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkConstraintsAdapter()

  This creates an adapter for a `LinkConstraints`.

  Overrides:
    `createLinkConstraintsAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkConstraints`
  ** Generated **

### createValueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueExpressionAdapter()

  This creates an adapter for a `ValueExpression`.

  Overrides:
    `createValueExpressionAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createFeatureSeqInitializerAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureSeqInitializerAdapter()

  This creates an adapter for a `FeatureSeqInitializer`.

  Overrides:
    `createFeatureSeqInitializerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureSeqInitializer`
  ** Generated **

### createFeatureValueSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureValueSpecAdapter()

  This creates an adapter for a `FeatureValueSpec`.

  Overrides:
    `createFeatureValueSpecAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureValueSpec`
  ** Generated **

### createReferenceNewElementSpecAdapter

    public org.eclipse.emf.common.notify.Adapter createReferenceNewElementSpecAdapter()

  This creates an adapter for a `ReferenceNewElementSpec`.

  Overrides:
    `createReferenceNewElementSpecAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReferenceNewElementSpec`
  ** Generated **

### createAuditContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditContainerAdapter()

  This creates an adapter for a `AuditContainer`.

  Overrides:
    `createAuditContainerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditContainer`
  ** Generated **

### createAuditRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditRuleAdapter()

  This creates an adapter for a `AuditRule`.

  Overrides:
    `createAuditRuleAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditRule`
  ** Generated **

### createDomainElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainElementTargetAdapter()

  This creates an adapter for a `DomainElementTarget`.

  Overrides:
    `createDomainElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DomainElementTarget`
  ** Generated **

### createDomainAttributeTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDomainAttributeTargetAdapter()

  This creates an adapter for a `DomainAttributeTarget`.

  Overrides:
    `createDomainAttributeTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DomainAttributeTarget`
  ** Generated **

### createDiagramElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createDiagramElementTargetAdapter()

  This creates an adapter for a `DiagramElementTarget`.

  Overrides:
    `createDiagramElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiagramElementTarget`
  ** Generated **

### createNotationElementTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createNotationElementTargetAdapter()

  This creates an adapter for a `NotationElementTarget`.

  Overrides:
    `createNotationElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NotationElementTarget`
  ** Generated **

### createMetricContainerAdapter

    public org.eclipse.emf.common.notify.Adapter createMetricContainerAdapter()

  This creates an adapter for a `MetricContainer`.

  Overrides:
    `createMetricContainerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetricContainer`
  ** Generated **

### createMetricRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createMetricRuleAdapter()

  This creates an adapter for a `MetricRule`.

  Overrides:
    `createMetricRuleAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetricRule`
  ** Generated **

### createAuditedMetricTargetAdapter

    public org.eclipse.emf.common.notify.Adapter createAuditedMetricTargetAdapter()

  This creates an adapter for a `AuditedMetricTarget`.

  Overrides:
    `createAuditedMetricTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditedMetricTarget`
  ** Generated **

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFMapAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  ** Generated **

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.